Skip to main content
`Ctrl`+`K`

# DMMoabOutput

Output the solution vectors that are stored in the DMMoab object as tags along with the complete mesh data structure in the native H5M or VTK format http://ftp.mcs.anl.gov/pub/fathom/moab-docs/contents.html#fivetwo.

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabOutput(DM dm, const char *filename, const char *usrwriteopts)

Collective

## Input Parameters

- dm - the discretization manager object containing solution in MOAB tags.

- filename - the name of the output file: e.g., poisson.h5m

- usrwriteopts - the parallel write options needed for serializing a MOAB mesh database. Can be `NULL`.

## Notes

The H5M output file can be visualized directly with Paraview (if compiled with appropriate plugin) or converted with MOAB/tools/mbconvert to a VTK or Exodus file.

This routine can also be used for check-pointing purposes to store a complete history of the solution along with any other necessary data to restart computations.

## See Also

`DMMoabLoadFromFile()`, `DMMoabSetGlobalFieldVector()`

## Level

intermediate

## Location

src/dm/impls/moab/dmmbio.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx
src/ts/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages